#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Data
%define		pnam	Dump-Streamer
Summary:	Data::Dump::Streamer - Accurately serialize a data structure as Perl code
Name:		perl-Data-Dump-Streamer
Version:	2.39
Release:	9
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Data/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5cd6fe67653c8de544fa41930de157b7
URL:		http://search.cpan.org/dist/Data-Dump-Streamer/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-B-Utils
BuildRequires:	perl-PadWalker
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Given a list of scalars or reference variables, writes out their
contents in perl syntax. The references can also be objects. The
contents of each variable is output using the least number of Perl
statements as convenient, usually only one. Self-referential
structures, closures, and objects are output correctly.

The return value can be evaled to get back an identical copy of the
original reference structure. In some cases this may require the use
of utility subs that Data::Dump::Streamer will optionally export.

This module is very similar in concept to the core module
Data::Dumper, with the major differences being that this module is
designed to output to a stream instead of constructing its output in
memory (trading speed for memory), and that the traversal over the
data structure is effectively breadth first versus the depth first
traversal done by the others.

In fact the data structure is scanned twice, first in breadth first
mode to perform structural analysis, and then in depth first mode to
actually produce the output, but obeying the depth relationships of
the first pass.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL NODDS \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Data/Dump
%{perl_vendorarch}/Data/Dump/*.pm
%{perl_vendorarch}/Data/Dump/Streamer
%dir %{perl_vendorarch}/auto/Data/Dump
%dir %{perl_vendorarch}/auto/Data/Dump/Streamer
%attr(755,root,root) %{perl_vendorarch}/auto/Data/Dump/Streamer/Streamer.so
%{_mandir}/man3/*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Data-Dump-Streamer.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 1952330
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 5cbd80d
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 8551c68
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b65bf56
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> dc2e185
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 2ed73e5
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 99eaeb9
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 23e9342
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> c5e322c
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 7ffa8fe
- up to 2.39

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 466ff2e
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a286526
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 240698b
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 096f8d0
- up to 2.38

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 2baf2d4
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 324aa66
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 270d0ce
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> e8ceffc
- rel 2

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> d517d32
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 28 2012 Jan Rękorajski <baggins@pld-linux.org> c20703d
- new

